
<template>
  <Base></Base>
  <div class="UserInfo">
    
    <el-row :gutter="20">
      <el-col :span="24"
        ><el-main class="main">
          <el-row :gutter="20">
            <el-col :span="3"> </el-col>
            <el-col :span="6"
              ><el-select
                v-model="value"
                class="m-2"
                placeholder="Select"
                size="large"
              >
                <el-option
                  v-for="item in options_activities_form"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value"
                /> </el-select
            ></el-col>
            <el-col :span="6"
              ><el-select
                v-model="value"
                class="m-2"
                placeholder="Select"
                size="large"
              >
                <el-option
                  v-for="item in options_activities_time"
                  :key="item.value"
                  :label="item.label"
                  :value="item.value"
                /> </el-select
            ></el-col>
            <el-row span="3"> </el-row>

            <el-button type="success" size="large">查询 </el-button>
          </el-row>
          <el-tabs>
            <el-scrollbar max-height="400px">
              <el-main>
                <el-scrollbar>
                  <el-table :data="tableData">
                    <el-table-column prop="date" label="Date" width="140" />
                    <el-table-column prop="name" label="Name" width="120" />
                    <el-table-column prop="address" label="Address" />
                  </el-table>
                </el-scrollbar>
              </el-main>
            </el-scrollbar>
          </el-tabs> </el-main
      ></el-col>
    </el-row>
  </div>
</template>

<script>
import { ref } from "vue";
import Base from "./Base.vue"
export default {
  name: "UserInfo",
  data() {
    return {
      item: {
        date: "2016-05-02",
        name: "Tom",
        address: "No. 189, Grove St, Los Angeles",
      },
      // tableData:[ ref(Array.from({ length: 20 }).fill(item))],
      // tableData: [{item}, {item}],
      tableData: [],
      options_activities_form: [
        {
          value: "具体信息",
          label: "具体信息",
        },
        {
          value: "简要信息",
          label: "简要信息",
        },
      ],
      options_activities_time: [
        {
          value: "全部",
          label: "全部",
        },
        {
          value: "即将到来的",
          label: "即将到来的",
        },
        {
          value: "审核通过的",
          label: "审核通过的",
        },
        {
          value: "正在审核的",
          label: "正在审核的",
        },
        {
          value: "全部完成的",
          label: "全部完成的",
        },
      ],
      tongjiIcon: require("../assets/images/tongjiIcon.png"),
      UserProfileImg: require("../assets/images/UserProfileImg.png"),
      userName: "赵颂霖",
      collegeName: "电子与信息工程学院",
      major: "计算机科学与技术",
      lastLoginTime: "2022.05.01 15:03:50",
      currentLoginIP: "111.187.46.242",
      hasMessage: true,
      dateInfo: "2021-2022学年度第2学期第11周",
      activityMessage: "这个活动很累",
    };
  },
  computed: {
    aveScore() {
      var sum = 0;
      var cnt = 0;
      this.comments.forEach((item) => {
        cnt = cnt + 1;
        sum = sum + item.score;
      });
      return sum / cnt;
    },
  },
  components:{
      Base
  }
};
</script>


<style scoped>
.layout-container-demo .el-header {
  position: relative;
  background-color: var(--el-color-primary-light-7);
  color: var(--el-text-color-primary);
}
.layout-container-demo .el-aside {
  color: var(--el-text-color-primary);
  background: var(--el-color-primary-light-8);
}
.layout-container-demo .el-menu {
  border-right: none;
}
.layout-container-demo .el-main {
  padding: 0;
}
.layout-container-demo .toolbar {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  right: 20px;
}
.font_1 {
  text-align: center;
  font-size: 25px;
}
.scrollbar-demo-item {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50px;
  margin: 10px;
  text-align: center;
  border-radius: 4px;
  background: var(--el-color-primary-light-9);
  color: var(--el-color-primary);
}
</style>

<style scoped>
.activity_list_item {
  height: 30px;
  margin: 10px 20px 20px 20px;
  background: #69f61291;
  text-align: center;
}
.el-col {
  border-radius: 4px;
}
.bg-purple-dark {
  background: #99a9bf;
}
.bg-purple {
  background: #d3dce6;
}
.bg-purple-light {
  background: #e5e9f2;
}
.grid-content {
  border-radius: 4px;
  min-height: 36px;
}

.UserInfo {
  
  background: rgb(238, 241, 246);
}

.topHeader {
  background-color: #f8f8f8;
  color: #123456;
  line-height: 60px;
  margin-bottom: 1px;
}

.sideBar {
  background: #fff;
  margin-right: 10px;
  text-align: left;
}

.courseBasic {
  box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);
  margin: 10px 20px 20px 20px;
  background: #fff;
  border-radius: 12px;
}

.main {
  margin-left: 20px;
  margin-right: 20px;
  background: #fff;
  border-radius: 12px;
}

.tongjiIcon {
  color: #1c98ce;
  font-size: 20px;
  font-weight: bold;
  text-align: left;
}

.UserProfileImg {
  margin: 60px 20px 0px 100px;
  height: 200px;
  width: 200px;
  float: left;
}

.basicInfo {
  background: #f8f8f8;
  padding: 10px;
  border-radius: 8px;
  width: 300px;
}

.basicInfoType {
  margin: 10px 0px 10px 10px;
  font-size: 14px;
}

.userName {
  margin-top: 50px;
  margin-bottom: 20px;
  font-size: 24px;
  font-weight: bold;
}

.activityMessage {
  background: rgb(223, 255, 230);
  margin: 20px 30px 20px 30px;
  padding: 2px 3px 2px 30px;
  border-radius: 8px;
  text-align: center;
}

.profile {
  margin-top: 30px;
  border-radius: 100px;
  width: 50px;
  height: 50px;
}

.el-rate__icon {
  font-size: 28px;
}
</style>
